Subject: Release of RAMVIB: software for modeling molecular vibrations
From: "Robert Fraczkiewicz" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 2 May 1997 15:13:31 -0500

Dear Netters,

I am pleased to announce the availability of the RAMVIB software package, free
for academic users. RAMVIB is a set of FORTRAN programs that I wrote some time
ago to ease pains of interpreting resonance Raman spectra of metalloproteins
and metalloporphyrins. It uses normal mode analysis approach to model
vibrations of molecules. RAMVIB can be downloaded from CCL archives:

ftp://www.ccl.net/pub/chemistry/software/SGI/ramvib/

What makes RAMVIB different from existing NMA software? The partial answer to
this question is listed below:

1) Automatic removal of coordinate redundancies by a new algorithm.
2) A novel method of solving the inverse spectral problem (a.k.a. force field
   refinement) that is convergent even in the case of strong correlation among
   force constants. It delivers high quality fits due to the regularization
   error reduction.
3) It contains an unique set of diagnostic programs for the purpose of testing
   numerical condition of input matrices to eliminate mathematical
singularities
   and perform selection of force constants.
4) An input can be constructed for any combination of isotopomers and
   structurally similar molecules as long as they share common subset of
   force constants.
5) It calculates significance matrices of frequencies, isotope shifts and
   potential energy distributions with respect to force constants (as a
   part of the initial process of force constants selection).
6) An automatic force constant selection is performed using a new concept
   of "fitting potential".
7) Automatic sorting and matching of normal modes for different isotopomers.
8) Output of atomic displacement vectors and motion animation files in XYZ
   format readable by XMol to illustrate calculated normal modes.

RAMVIB works under SGI IRIX 5.2 and 6.2 and uses three functions specific
for SGI FORTRAN:

iargc()    - number of command line arguments
getarg()   - returns command line argument in a string variable
etime()    - returns elapsed CPU time

It can be ported to other platforms after these functions are replaced by
appropriate local equivalents.

The paper describing all details of the package has been accepted for
publication in Journal of Molecular Structure and is currently in press.
I will post the exact reference.

Robert Fraczkiewicz
[email-masked]
-----------------------------------
University of Texas Medical Branch
Galveston, TX 77555

==============================================================

			          RAMVIB

                 Copyright 1992-1996, Robert Fraczkiewicz
                          All rights reserved.

    This package is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--------------------------------------------------------------------------
Thanks for the interest in my programs.

RAMVIB is a normal mode analysis software that I have written
(1992-1996) in FORTRAN 77 under SGI IRIX 5.2. It has been tested and
proven to work on SGI Indy under IRIX version 5.2 and SGI Indigo^2
under IRIX 6.2. For algorithms, details of operation, etc. see the
following publication:

 Fraczkiewicz, R. and Czernuszewicz, R.S. (1997) "RAMVIB: a New Flexible
 Normal Mode Analysis Software for Biological Spectroscopist" J. Mol.
 Struct., 435, 109-121.

Any reports or publications of results obtained with RAMVIB should
acknowledge its use by an appropriate citation.

Please read all the directions below before you proceed any further, and
then follow them carefully.

Installation
============

1) RAMVIB uses Release 1.0 of LAPACK: a library of robust and
 professionally written linear algebra routines in public domain [E.
 Anderson, Z. Bai, C.  Bischof, J.W. Demmel, J.J. Dongarra, J. Du Croz,
 A. Greenbaum, S.  Hammarling, A. McKenney and D. Sorensen, "LAPACK: A
 Portable Linear Algebra Library for High-performance Computers",
 Computer Science Department Technical Report CS-90-105, University of
 Tennessee, Knoxville, 1990]. LAPACK routines are written so that as
 much as possible of the computation is performed by calls to the Basic
 Linear Algebra Subprograms (BLAS) [C.L. Lawson, R.J. Hanson, D. Kincaid
 and F.T. Krogh, "Basic Linear Algebra Subprograms for FORTRAN Usage",
 ACM Trans. Math. Soft., 5 (1979), 308-323].  Both libraries have been
 optimized for Silicon Graphics computers and distributed with the SGI
 FORTRAN compiler (IRIX 5.2 and 6.2 releases).  Before installation make
 sure that you have the library libcomplib.sgimath.so or
 libcomplib.sgimath_mp.so, usually in the /usr/lib directory. If not,
 you can obtain necessary LAPACK and BLAS routines from NETLIB:

 http://www.netlib.org/blas/index.html
 http://www.netlib.org/lapack/index.html

 List of routines is in the header of every source code file.

2) Edit Makefile to modify user editable options (especially
 the installation directory, EXEC_DIR), if necessary.

3) Edit Sizes to adjust array sizes to the available computer memory, if
 necessary.

4) Type "make" to compile, or "make install" and "rehash" to compile and
 install all executables. The environmental variable PATH must contain the
 name of installation directory.

5) Read file_formats.txt.

6) Run examples in directories bh3, cua and nipp. For comparison,
 save original output files. Typing a program name without options,
 e.g. "geom", will display its man page.

The best graphical interface for RAMVIB is program XMol, which is still
distributed from Minnesota Supercomputer Center (version 1.3.1,
http://www.msc.edu/msc/docs/xmol/ftp.html). It can animate normal
modes, display Cartesian displacement vectors and produce output in EPS
format. Several RAMVIB programs write structural output in the XYZ
format readable by XMol.  Unfortunately, the free COFF executable
distributed from MSC will not work under IRIX 6.2. A list of possible
alternatives (not verified) is appended at the end of this file.

Communicate any problems and suggested patches to me, [email-masked]
(Robert Fraczkiewicz), so we can keep the world in sync. If you have a
problem, there's someone else out there who either has had or will have
the same problem. It's usually helpful if you send the list of all your
modifications to the source code.

IRIX is a trademark of Silicon Graphics, Inc.

Happy computing,
Robert Fraczkiewicz

---------------------------------------------------------------------------

XMol alternatives
=================

>From Computational Chemistry List, 3/27/97

RE: Summary of responses to "CCL: IRIX 6.2+ and MSC's XMOL"

>-- Original Question

>! Dear CCL:
>!
>! Recently, we upgraded our Silicon Graphics equipment to IRIX 6.2.  After
>! that, Xmol stopped working (% xmol - Exec format error) because Xmol uses
>! the COFF binary format.  According to Xmol's creators (Minnesota's SC),
>! "There are not plans to produce a new XMol distribution".
>!
>! We have been looking for an alternative to Xmol.  So far, we haven't had
>! much luck to duplicate Xmol's "Extras/Animate" feature.  We have found that
>! feature very useful when looking at optimization runs, IRC runs, etc.  The
>! animation button basically reads and displays a series of geometries from an
>! Xmol input file.
>!
>! Can anyone suggest an alternative software product for UNIX machines?
>! We have tried Rasmol and have not had any luck getting it to do animation
>! using a series of separate geometries.  (Which should not be taken as a slam
>! to Rasmol which we have found useful for Web presentations.)
>!
>! If any replies are received, I'll post the summary.  Thank you.
>!
>! --
>!
>! :Joe
>!  [email-masked]
>!  (630) 961-7878  <SOCON 231 7878>

>-- Executive Summary

 1) Source Code to Xmol is not available (to the best of my knowledge).  It
    was only distributed via executable code.  I (for one) wish one of the
    commerical software vendors would investigate the possibility of
    distributing a working copy of Xmol.  As far as I know, MSC has no plans
    for it beyond what is on their web site now.
    (Hint, Hint, Knudge, Knudge, Wink, Wink - Know what I mean?)

 2) Suggested Replacements
    a) VMD      - http://www.ks.uiuc.edu/Research/vmd/
    b) MOLDEN   - http://www.caos.kun.nl/~schaft/molden/molden.html
    c) Chime    - http://www.mdli.com/chemscape
    d) gOpenMol - http://laaksonen.csc.fi/gopenmol/gopenmol.htmls

>-- Response

*> Hi again Joe.  I don't use Xmol, but would the MOLDEN program do what
*> you need?  I use it to visualize geometry optimizations, vibrational
*> frequencies, and orbitals from Gaussian and sometimes GAMESS.  It's
*> free and has a web page:
*> http://www.caos.kun.nl/~schaft/molden/molden.html
*>
*> Good luck!
*>
*> ----------------------------------------------
*> Dr. Karl K. Irikura
*> Physical and Chemical Properties Division
*> National Institute of Standards and Technology
*> Gaithersburg, MD  20899
*> voice: 301-975-2510	fax: 301-975-3670
*> e-mail: [email-masked]
*> ----------------------------------------------

>-- Response

*> try using Chime as a plugin of a web page. It allows animations.
*> You only will have to set up a web page to do the embedding.
*>
*> Chemscape Chime is free downloadable from http://www.mdli.com/chemscape
*>
*> Rene P.F. Kanters
*> Chemistry Project Specialist
*> Chemistry Department
*> University of Richmond VA 23173
*>
*> phone: (804) 287-6873
*> email: [email-masked]
*> www:   http://www.richmond.edu/~rkanters
*>        http://www.science.richmond.edu/~kanters

>-- Response

*> You might want to try VMD, just released to the public on Mar 25. It's
*> homepage is http://www.ks.uiuc.edu/Research/vmd/
*>
*> David E. Reichert, Ph.D.
*> Mallinckrodt Inst. of Radiology
*> Div. Radiation Sciences
*> phone: (314)362-8461
*> fax: (314)362-9940
*> e-mail: [email-masked]

>-- Response

*> I use vmd to display dynamics (results from MD and normal modes).
*> I think vmd can use Xmol's xyz files, however I never tried that.
*> Instead, I wrote a little program that generates dcd files that
*> vmd can read. You are welcome to have it, if you want.
*> I found that vmd makes very fast and very pretty animation.
*> I you don't know where to find vmd on the net, I cal dig it up for you.
*>
*> Hope that helps,   Gert
*>
*> Gert von Helden
*> Dept. of molecular and Laser Physics, University of Nijmegen, Netherlands
*> e-mail: [email-masked], phone: (+31) 24 3652179, fax: (+31) 24 3653311

>-- Response

*> Did you tried the molden software ?
*> I use it on IRIX6.2 but you should have gaussian output.
*> Is it your case
*>
*> Dorothee Berthomieu
*> **************************************************
*> Laboratoire des Materiaux et Procedes Membranaires
*> UMR CNRS 5635
*> Ecole Nationale Superieure de Chimie de Montpellier
*> 8, rue de l'Ecole Normale
*> 34296 MONTPELLIER cedex 5
*> Tel : (33) 467 14 43 40
*> Telecopie :   (33) 467 14 43 47
*> email : [email-masked]
*> http://www.dr13.cnrs.fr/lmpm/fequ.html#DEPOCVD

>-- Response

*> Have you tried MolDen?  It can read various file types (e.g. Gaussian
*> output) and animate things like structures and vibrational modes.
*>
*> Nick
*>
*> ============================================================================
*>   Nicholas A. Nystrom, Ph.D.              Pittsburgh Supercomputing Center
*>   Scientific Specialist                   Mellon Institute Building
*>   email: [email-masked]                  4400 Fifth Avenue
*>   voice: +1 412-268-1592 fax: -5832       Pittsburgh, PA  15213    USA
*> ============================================================================

>-- Response

*>         Can't you get the xmol source code? All you should
*>   need to do is to rebuild the executable. If the program
*>   is being distributed form an academic center, I would
*>   be surprised if they would not hand out the source.
*>
*>        Good luck,
*>
*>        Randy
*>
*> All opinions expressed here are mine, not my employer's
*>
*> /////////////////////////////////////////////////////////////////////////
*> \\ Randy J. Zauhar, PhD             | E-mail: [email-masked]        //
*> \\ Tripos, Inc.                     |       : [email-masked]      //
*> \\ 1699 S. Hanley Rd., Suite 303    |  Phone: (314) 647-1099 Ext. 3382 //
*> \\ St. Louis, MO 63144              |                                  //
*> /////////////////////////////////////////////////////////////////////////
*> **                                                                     **
*> **  "If you have conceptions of things that you can have no conception **
*> **   of, then the conception and the thing appear to co-incide."       **
*> **   --- C.G. Jung                                                     **
*> *************************************************************************

>-- Response

*> Joe, I assume the source for XMol was never distributed?  Does anybody own
*> it currently?  If they're not going to make a new distribution, what's
*> happening to the program?
*>
*> All that's required is a recompile on an appropriate SGI...
*>
*> Joe
*>
*> --
*>
*> Joe Leonard                       Phone: +1 314 647 8837 x3204
*> Tripos, Inc.                      Fax:   +1 314 647 9241
*> 1699 S. Hanley Rd.                email: [email-masked]
*> St. Louis, MO 63144 USA           after-hours: [email-masked]

>-- Response

*> We went through exactly the same process. We're presently using the package
*> VMD. You can obtain a copy via http://www.ks.uiuc.edu/Research/vmd/ . It can
*> read in multi-frame XYZ files. Might be worth a try....
*>
*> Regards,
*> Mike
*>
*> -------------------------------------------------------------------
*> |    Mike Fearn,              Tel : UK (01684) 896536             |
*> |    Room PA101,	      Fax : UK (01684) 896150             |
*> |    D.R.A, Malvern,                                              |
*> |    Worcs. WR14 3PS          Email : [email-masked]            |
*> -------------------------------------------------------------------

>-- Response

*> There are certainly a lot of options. Let me suggest one further:
*>
*> The gOpenMol program at:
*>
*> http://laaksonen.csc.fi/gopenmol/gopenmol.htmls
*>
*> Regards,
*>
*> -leif laaksonen
*>
*> -------------------------------------------------------------------
*> Leif Laaksonen                     |
*> Center for Scientific Computing    | Phone:      358 9 4572378
*> P.O. Box 405                       | Mobile:     358 400425203
*> FIN-02101 Espoo                    | Telefax:    358 9 4572302
*> FINLAND                            | Mail:  [email-masked]
*> -------- URL: http://laaksonen.csc.fi/leif.laaksonen.html ---------

>-- Response

*>    This seems to be a common question lately as more and more
*> people upgrade to 6.x .  You might want to look at our visualization
*> program, VMD, at http://www.ks.uiuc.edu/Research/vmd/ .  It was
*> developed for, amoung other things, the visualization of MD
*> trajectories.
*>
*>   I doesn't read XYZ files directly, but if you have Babel
*> installed (http://mercury.aichem.arizona.edu/babel.html) it VMD
*> will call it and to the conversion to a set of PDB files automatically,
*> then read them in.  To the user, you wouldn't even notice the exchange.
*>
*> 						Andrew
*> 						[email-masked]

--

:Joe
 [email-masked]
 (630) 961-7878  <SOCON 231 7878>
============================================